Subject: Re: [rrg] Host based solutions

From: Robin Whittle <[email-masked]>
Date: Sun, 21 Dec 2008 03:11:12 +1100

Hi Teco,

The table you mentioned was quoted by Brian, from a message of mine
on 3rd August 2007:

   Re: [RRG] On the Transitionability of LISP
   http://psg.com/lists/rrg/2007/msg00224.html

A later version is from 24 August 2007:

  Comparison table - LISP/APT/Ivip/TRRP
  http://psg.com/lists/rrg/2007/msg00291.html

Also of interest:

  Comparing LISP-NERD/ALT, APT, Ivip and TRRP
  http://www.firstpr.com.au/ip/ivip/comp/

You wrote:

> Is there an accurate overview on host based solutions?

No.

> The overview Brian Carpenter posted in Augustus 2007 
> (http://www.ietf.org/mail-archive/web/rrg/current/msg00294.html),
> HIP is missing. IMHO, info for MIP6 it is partly correct.
> I think Shim6 is correct, I did not verify the others.
> 
> Old table:
>>              SHIM6  Six/  Mobile  LISP-   LISP-   eFIT-  Ivip
>>                     One   IPv6    NERD    CONS    APT
>>
>> Address
>> portability                       Y       Y       Y      Y
>>
>> Multihoming   Y     Y             Y       Y       Y      Y
>>
>> Mobility                  Y                              Y*
>>
>> IPv4 too                          Y       Y       Y      Y
>>
>> No host                           Y       Y       Y      Y*
>> changes
>>
>> * Mobile IPv4 or IPv6 hosts making use of Ivip will need new host

This sentence was not quoted in full.  The final word is "software".

> On MIP6:
> - Address portability: one could "lease" an EID and HA functions
>     and run sessions with CoA as much as possible (RO).
> - Multihoming: We have RO and dual MCoA tunnels is on its way
>     (I-D.ietf-monami6-multiplecoa).
> - IPv4 too: There is DSMIP (almost finished) for IPv4 support 
>     (could be used for reaching v4 hosts where nodes in v6-only
>     Network, CN - HA is IPv4 & IPv6).
> - No host changes: MIP6 itself is optional, but RO support 
>     is a SHOULD. NEMO can be used for hosts that lack MIP6
>     support.
> So one could say MIP6 is full Y (with remarks). IMHO it is hosts based
> map&encap and works in many conditions.
> 
> I think Shim6 is complementary to HIP and MIP6. This is not shown in the table.
> 
> 
> Updated table:
> 
>              HIP SHIM6 Six/ Mobile LISP- LISP- eFIT- Ivip
>                        One  IPv6   NERD  CONS  APT
> 
> Address
> portability   y              Y2     Y     Y     Y     Y
> 
> Multihoming   y   Y     Y    Y      Y     Y     Y     Y
> 
> Mobility      y              Y                        Y1
> 
> IPv4 too      y              Y      Y     Y     Y     Y
> 
> No host                      Y3*    Y     Y     Y     Y1
> changes
> 
> 1: Mobile IPv4 or IPv6 hosts making use of Ivip will need new host
     software.  (This is for the mobility approach described in
     http://www.firstpr.com.au/ip/ivip/#mobile - which is different
     from conventional Mobile IP.)

> 2: PI Home Address used as EID needs some form of Home Agent provider.

> 3: Corresponding Node functionality assumed on all IPv6 hosts, MIP6
>     /NEMO assumed for nodes that need Loc/ID split.
> 
> HIP info is to be verified by an expert.
> 
> Maybe there is another resource providing a more complete overview.

It would be good if someone else develops a comparison table for
host-based solutions.

As far as I knew, HIP involves host stack and application changes and
so I think it is not a practical approach to solving the routing
scaling problem.  However, in some recent messages in the "Map and
Encaps" thread, Pekka Nikander discussed HIP being used with proxies,
and without host changes.   I would like to see a full description of
this, with discussion of how this would solve the routing scaling
problem, for IPv6 and for IPv4.

Mobile IP involves host changes too, and I think it only works with
IPv6.  So again, I don't support it as a solution to the routing
scaling problem.

  - Robin

_______________________________________________
rrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/rrg